Skip to content
POST/api/{version}/services/loader/load

Create a loader job load a set of data files.

NameDescription
Content-Typeapplication/json
Acceptapplication/json

The body of your request should be a JSON file containing the set of data objects to extract.

NameDescription
object_typeThe type of data object to load. The following values are allowed:
  • vobjects__v
  • documents__v
  • document_versions__v
  • document_relationships__v
  • groups__v
  • document_roles__v
  • document_versions_roles__v
  • document_renditions__v
.
objectIf the object_type = vobjects__v, include the object name. For example, product__v.
actionThe action type to create, update, upsert, or delete objects or object record roles.
fileInclude the filepath to reference the load file on the FTP server.
orderSpecifies the order of the load task.
NameDescription
sendNotificationTo send a Vault notification when the job completes, set to true. If omitted, this defaults to false and Vault does not send a notification when the job completes.
curl -X POST -H "Authorization: {SESSION_ID}" \ - H "Content-Type: application/json" \ --data-binary @"C:\Vault\Loader\load_objects.json" \ https://myveevavault.com/api/v19.3/services/loader/load
[ { "object_type": "documents__v", "action": "create", "file": "docs.csv", "order": 1 }, { "object_type": "vobjects__v", "objects": "product__v", "action": "upsert", "file": "products.csv", "order": 2 }, { "object_type": "groups__v", "action": "update", "file": "groups.csv", "order": 3 } ]
{ "responseStatus": "SUCCESS", "url": "/api/v19.3/services/jobs/61907", "job_id": 61907, "tasks": [ { "task_id": "1", "object_type": "documents__v", "action": "create", "file": "create_documents.csv," }, { "task_id": "2", "object_type": "vobjects__v", "object": "product__v", "action": "upsert", "file": "upsert_products.csv" }, { "task_id": "3", "object_type": "groups__v", "action": "create", "file": "create_groups.csv" } ] }

On SUCCESS, the response includes the following information: